/**************************************************************************
 *
 * SOURCE FILE NAME = HIDEF.H
 *
 * DESCRIPTIVE NAME =
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION
 *
 * FUNCTIONS
 *
 * ENTRY POINTS:
 *
 * DEPENDENCIES:
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 * EXTERNAL FUNCTIONS
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  mm/dd/yy  @Vr.mpppxx  xxxxx  xxxxxxx
 ****************************************************************************/

#define FILTERNAME             "HITACHI_FILTER  "


typedef struct _UnitControlBlock {

   VOID      (FAR * AdapterDriverEP)();         /* ADD Entry Point   */
   USHORT    ADDUnitHandle;
   UCHAR     product_id [16];
   UCHAR     play_mode;
   UCHAR     reserved_1;
   UNITINFO  UnitInfo;
   UCHAR     pause_flag;

   /*
   ** Fields above are common among the filters and MUST NOT be
   ** changed in any way.
   **
   ** Fields below are unique to this filter and can be modified.
   */

   union
   AddressType end_play_address;

   ULONG    transfer_buffer;        /* stores tranfer buffer while TOC build  */
   ULONG    ppSGLIST_address;       /* physical address to S/G List           */

   UCHAR    track_number;           /* stores specified track while TOC build */

   HIT_DATA_DiskInfo HitDiskInfo;   /* TOC table                              */

} UNITCB, *NPUNITCB;

