/**************************************************************************
 *
 * SOURCE FILE NAME = NEDATA.H
 *
 * DESCRIPTIVE NAME = Data externs for NEC CD-ROM Filter
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION
 *
 * FUNCTIONS   Externs for data defined in NEDATA.C
 *
 * ENTRY POINTS:
 *
 * DEPENDENCIES:
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 * EXTERNAL FUNCTIONS
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  mm/dd/yy  @Vr.mpppxx  xxxxx  xxxxxxx
 ****************************************************************************/

/*
** External data declarations in TODATA.C
*/

extern PFN       Device_Help;             /* far ptr to devhelp function    */
extern PVOID     pDataSeg;                /* virt ptr of our data segment   */
extern ULONG     ppDataSeg;               /* phys addr of our data segment  */
extern ULONG     plDataSeg;               /* linear addr of our data seg    */
extern USHORT    FilterFlags;             /* Global driver flags            */
extern USHORT    NumCDROMDrives;          /* Number of CD-ROM drives        */
extern USHORT    FilterADDHandle;
extern USHORT    InitComplete;
extern struct    Vendor   Vendor [];
extern USHORT    vendor_count;
extern IORB_CDB  default_iorb_cdb;
extern USHORT    UnitCBCount;
extern UNITCB    UnitCBTable[];
extern UCHAR     Filter_EndofData;
