/**************************************************************************
 *
 * SOURCE FILE NAME = NESENSE.H
 *
 * DESCRIPTIVE NAME =
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION
 *
 * FUNCTIONS
 *
 * ENTRY POINTS:
 *
 * DEPENDENCIES:
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 * EXTERNAL FUNCTIONS
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  mm/dd/yy  @Vr.mpppxx  xxxxx  xxxxxxx
 ****************************************************************************/

/*
** SCSI Sense Keys...
*/
#define SK_NO_SENSE             0x00
#define SK_RECOVERY_ERROR       0x01
#define SK_NOT_READY            0x02
#define SK_MEDIUM_ERROR         0x03
#define SK_HARDWARE_ERROR       0x04
#define SK_ILLEGAL_REQUEST      0x05
#define SK_UNIT_ATTENTION       0x06
#define SK_DATA_PROTECT         0x07
#define SK_BLANK_CHECK          0x08
#define SK_VENDOR_UNIQUE        0x09
#define SK_COPY_ABORTED         0x0A
#define SK_ABORTED_COMMAND      0x0B
#define SK_EQUAL                0x0C
#define SK_VOLUME_OVERFLOW      0x0D
#define SK_MISCOMPARE           0x0E

/*
** Additional Sense Codes...
*/
#define ASC_NOT_READY           0x04
#define ASC_NO_RESPONSE_TO_SEL  0x05
#define ASC_LBA_NOT_FOUND       0x21
#define ASC_LUN_NOT_SUPP        0x25
#define ASC_WRITE_PROTECT       0x27
#define ASC_POWER_ON_OCCURRED   0x29
#define ASC_NOT_FORMATTED       0x31
#define ASC_HOTFIX_NOT_AVAIL    0x32
#define ASC_MEDIUM_NOT_PRESENT  0x3A
