/**************************************************************************
 *
 * SOURCE FILE NAME = SODEFS.H
 *
 * DESCRIPTIVE NAME =
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION
 *
 * FUNCTIONS
 *
 * ENTRY POINTS:
 *
 * DEPENDENCIES:
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 * EXTERNAL FUNCTIONS
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  mm/dd/yy  @Vr.mpppxx  xxxxx  xxxxxxx
 ****************************************************************************/


#define FILTERNAME             "SONY_FILTER     "


typedef struct _UnitControlBlock {

   VOID      (FAR * AdapterDriverEP)();         /* ADD Entry Point            */
   USHORT    ADDUnitHandle;
   UCHAR     product_id [16];
   UCHAR     play_mode;
   UCHAR     reserved_1;
   UNITINFO  UnitInfo;
   UCHAR     pause_flag;

   /*
   ** Fields above are common among the filters and MUST NOT be
   ** changed in any way.
   ** Fields below are unique to this filter and can be modified.
   */
   ULONG     read_buffer;
   UCHAR     gen_buffer[16];
   UCHAR     unit_flags;      /* general use flags as defined below           */

} UNITCB, *NPUNITCB;

/*
** unit_flags definitions.
*/
#define MSF_ADDR_MODE   0x01  /* This flag indicates the drive is in MSF mode.*/
#define MODE_SENSE      0x02  /* Set if mode sense reqiest has been issued to */
                              /*  determine addressing mode.                  */
